mlpack_mean_shift(1)

NAME
mlpack_mean_shift - mean shift clustering

SYNOPSIS
 mlpack_mean_shift -i unknown [-f bool] [-P bool] [-l bool] [-m int] [-r double] [-V bool] [-C unknown] [-o unknown] [-h -v]

DESCRIPTION
This program performs mean shift clustering on the given dataset, storing the learned cluster assignments either as a column of labels in the input dataset or separately.

The input dataset should be specified with the '--input_file (-i)' parameter, and the radius used for search can be specified with the '--radius (-r)' parameter. The maximum number of iterations before algorithm termination is controlled with the '--max_iterations (-m)' parameter.

The output labels may be saved with the '--output_file (-o)' output parameter and the centroids of each cluster may be saved with the '--centroid_file (-C)' output parameter.

For example, to run mean shift clustering on the dataset 'data.csv' and store the centroids to 'centroids.csv', the following command may be used:

$ mlpack_mean_shift --input_file data.csv --centroid_file centroids.csv

REQUIRED INPUT OPTIONS

--input_file (-i) [unknown]
    Input dataset to perform clustering on.

OPTIONAL INPUT OPTIONS

--force_convergence (-f) [bool]
    If specified, the mean shift algorithm will continue running regardless of max_iterations until the clusters converge.

--help (-h) [bool]
    Default help info.

--in_place (-P) [bool]
    If specified, a column containing the learned cluster assignments will be added to the input dataset file. In this case, --output_file is overridden. (Do not use with Python.)

--info [string]
    Print help on a specific option. Default value ''.

--labels_only (-l) [bool]
    If specified, only the output labels will be written to the file specified by --output_file.

--max_iterations (-m) [int]
    Maximum number of iterations before mean shift terminates. Default value 1000.

--radius (-r) [double]
    If the distance between two centroids is less than the given radius, one will be removed. A radius of 0 or less means an estimate will be calculated and used for the radius. Default value 0.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--centroid_file (-C) [unknown]
    If specified, the centroids of each cluster will be written to the given matrix. --output_file (-o) [unknown] Matrix to write output labels or labeled data to.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.